routes/web.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\CompaniesController;
use App\Http\Controllers\EmployeesController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\ItemsController;
use App\Http\Controllers\SellController;
use App\Http\Controllers\SellSummaryController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('lang/{lang}', ['as' => 'lang.switch', 'uses' => 'App\Http\Controllers\LanguageController@switchLang']);

Auth::routes(['register' => false, 'reset' => false]);

Route::group(['middleware' => 'auth', 'checktoken'], function () {
    Route::get('/', [CompaniesController::class, 'index']); 
    Route::get('home', [CompaniesController::class, 'index']); 

    Route::get('/data-companies', [CompaniesController::class, 'dataCompanies']);

    Route::resource('companies', CompaniesController::class);

    Route::get('company/destroy/{id}', [CompaniesController::class, 'destroy']);


    Route::get('/data-employees', [EmployeesController::class, 'dataEmployees']);

    Route::resource('employees', EmployeesController::class);

    Route::get('employee/destroy/{id}', [EmployeesController::class, 'destroy']);


    Route::resource('items', ItemsController::class);

    Route::get('item/destroy/{id}', [ItemsController::class, 'destroy']);


    Route::resource('sell', SellController::class);

    Route::get('sell/destroy/{id}', [SellController::class, 'destroy']);

    Route::get('store-item-price/{id}', [SellController::class, 'storeItemPrice']);

    Route::resource('sell-summary', SellSummaryController::class);
});

app/Models/Employees.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Companies;
use Carbon\Carbon;
use DB;

class Employees extends Model
{
    use HasFactory;

    protected $table = "employees";
    protected $primaryKey = 'id';

    protected $fillable = [
        'first_name',
        'last_name',
        'email',
        'phone',
        'company',
        'created_at',
        'updated_at',
        'created_by_id',
        'updated_by_id',
        'password'
    ];

    public function companyName()
    {
        return $this->belongsTo(Companies::class, 'company', 'id');
    }

    public static function getEmployees() {
        DB::statement(DB::raw('set @rownum=0'));
        $data = Employees::select([
            DB::raw('@rownum  := @rownum  + 1 AS rownum'),
            'id',
            'first_name',
            'last_name',
            'email',
            'phone',
            'created_at',
        ]);

        return $data;
    }
}

app/Http/Controllers/EmployeesController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Employees;
use App\Models\Companies;
use App\Models\Timezone;
use Illuminate\Support\Facades\Auth;
use Yajra\Datatables\Datatables;
use DB;
use App\Http\Requests\StoreEmployeeRequest;
use App\Http\Traits\TimezoneTrait;
use App\Http\Traits\EmployeesTrait;

class EmployeesController extends Controller
{
    use TimezoneTrait;
    use EmployeesTrait;
    
    public function index(Request $request)
    {
        if(!empty($request->timezone)){
            $this->setTimezone($request->timezone);
        }

        $timezones = Timezone::Orderby('offset')->get();

        if($request->ajax()) {
            $employees_datatable = $this->setEmployeesTable();

            return $employees_datatable;
        }
        $companies = Companies::pluck('name', 'id');

        return view('employees.employees-index', [
            'companies' => $companies,
            'timezones' => $timezones,
        ]);
    }

    public function show(Employees $employee)
    {
        $company = Companies::find($employee->company);

        return view('employees.employee-detail', compact('company', 'employee'));
    }

    public function store(StoreEmployeeRequest $request)
    {
        $this->createEmployee($request);

        return response()->json(['success' => 'Data Added successfully.']);

    }

    public function edit($id)
    {
        if(request()->ajax())
        {
            $data = Employees::findOrFail($id);
            return response()->json(['result' => $data]);
        }
    }

    public function update(StoreEmployeeRequest $request, Employees $employees)
    {
        if (empty($request->password))
        {
            $employee = Employees::find($request->hidden_id);
            $this->updateEmployee($request, $employee->password);
        }
        else {            
            $this->updateEmployee($request);
        }

        return response()->json(['success' => 'Data is successfully updated']);

    }

    public function destroy($id)
    {
        $data = Employees::findOrFail($id);
        $data->delete();
    }
}

resources/views/employees/employee-detail.blade.php
@extends('adminlte::page')

@section('title', 'Employee Detail')

@section('content_header')
    <h1> {{ trans('text.Employee') }} {{ trans('text.Detail') }}</h1>
@stop

@section('content')<!doctype html>

    <table style="width:100%">
        <tr>
            <th>{{ trans('text.Name') }}</th>
            <td>{{$employee->first_name}} {{$employee->last_name}}</td>
        </tr>
        <tr>
            <th>{{ trans('text.Email') }}</th>
            <td>{{$employee->email}}</td>
        </tr>
        <tr>
            <th>{{ trans('text.Phone') }}</th>
            <td>{{$employee->phone}}</td>
        </tr>
        <tr>
            <th>{{ trans('text.Company') }}</th>
            <td><a href="{{route('companies.show', $company->id)}}"> {{ $company->name }} <br/></a></td>
        </tr>
    </table>
@stop

@section('css')
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js"></script>
@stop